| OpenCV 3.4.1 Open Source Computer Vision

Classes | Public Member Functions | Static Protected Member Functions | List of all members
cv::linemod::QuantizedPyramid Class Referenceabstract
RGB-Depth Processing

Represents a modality operating over an image pyramid. More...

`#include "linemod.hpp"`

## Classes
struct | Candidate
| Candidate feature with a score. More...

## Public Member Functions
virtual | ~QuantizedPyramid ()
virtual bool | extractTemplate (Template &templ) const =0
| Extract most discriminant features at current pyramid level to form a new template. More...
virtual void | pyrDown ()=0
| Go to the next pyramid level. More...
virtual void | quantize (Mat &dst) const =0
| Compute quantized image at current pyramid level for online detection. More...

## Static Protected Member Functions
static void | selectScatteredFeatures (const std::vector< Candidate > &candidates, std::vector< Feature > &features, size_t num_features, float distance)
| Choose candidate features so that they are not bunched together. More...

## Detailed Description

Represents a modality operating over an image pyramid.

## Constructor & Destructor Documentation

## § ~QuantizedPyramid()

virtual cv::linemod::QuantizedPyramid::~QuantizedPyramid | ( |  | ) |
| inline virtual

## Member Function Documentation

## § extractTemplate()

virtual bool cv::linemod::QuantizedPyramid::extractTemplate | ( | Template & | templ | ) | const
| pure virtual

Python:
| retval, templ | = | cv.linemod_QuantizedPyramid.extractTemplate( |  | )

Extract most discriminant features at current pyramid level to form a new template.

Parameters

  [out] | templ | The new template.

## § pyrDown()

virtual void cv::linemod::QuantizedPyramid::pyrDown | ( |  | ) |
| pure virtual

Python:
| None | = | cv.linemod_QuantizedPyramid.pyrDown( |  | )

Go to the next pyramid level.

Todo:
  Allow pyramid scale factor other than 2

## § quantize()

virtual void cv::linemod::QuantizedPyramid::quantize | ( | Mat & | dst | ) | const
| pure virtual

Python:
| dst | = | cv.linemod_QuantizedPyramid.quantize( | [, dst] | )

Compute quantized image at current pyramid level for online detection.

Parameters

  [out] | dst | The destination 8-bit image. For each pixel at most one bit is set, representing its classification.

## § selectScatteredFeatures()

static void cv::linemod::QuantizedPyramid::selectScatteredFeatures | ( | const std::vector< Candidate > & | candidates,
|  | std::vector< Feature > & | features,
|  | size_t | num_features,
|  | float | distance
| ) |  |
| static protected

Choose candidate features so that they are not bunched together.

Parameters

  [in] | candidates | Candidate features sorted by score.
  [out] | features | Destination vector of selected features.
  [in] | num_features | Number of candidates to select.
  [in] | distance | Hint for desired distance between features.

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/rgbd/include/opencv2/rgbd/linemod.hpp